| Flutter Impeller |

Public Member Functions | List of all members
impeller::SrgbToLinearColorFilter Class Referencefinal

`#include <color_filter.h>`

Inheritance diagram for impeller::SrgbToLinearColorFilter:

## Public Member Functions
| SrgbToLinearColorFilter ()
| ~SrgbToLinearColorFilter () override
std::shared_ptr< ColorFilterContents > | WrapWithGPUColorFilter (std::shared_ptr< FilterInput > input, ColorFilterContents::AbsorbOpacity absorb_opacity) const override
| Wraps the given filter input with a GPU-based filter that will perform the color operation. The given input will first be rendered to a texture and then filtered. More...
ColorFilterProc | GetCPUColorFilterProc () const override
| Returns a function that can be used to filter unpremultiplied Impeller Colors on the CPU. More...
std::shared_ptr< ColorFilter > | Clone () const override
Public Member Functions inherited from impeller::ColorFilter
| ColorFilter ()
virtual | ~ColorFilter ()

## Additional Inherited Members
Public Types inherited from impeller::ColorFilter
using | ColorFilterProc = std::function< Color(Color)>
Static Public Member Functions inherited from impeller::ColorFilter
static std::shared_ptr< ColorFilter > | MakeBlend (BlendMode blend_mode, Color color)
static std::shared_ptr< ColorFilter > | MakeMatrix (ColorMatrix color_matrix)
static std::shared_ptr< ColorFilter > | MakeSrgbToLinear ()
static std::shared_ptr< ColorFilter > | MakeLinearToSrgb ()
static std::shared_ptr< ColorFilter > | MakeComposed (const std::shared_ptr< ColorFilter > &outer, const std::shared_ptr< ColorFilter > &inner)

## Detailed Description

Definition at line 115 of file color_filter.h.

## Constructor & Destructor Documentation

## ◆ SrgbToLinearColorFilter()

impeller::SrgbToLinearColorFilter::SrgbToLinearColorFilter | ( |  | ) |
| explicit default

## ◆ ~SrgbToLinearColorFilter()

impeller::SrgbToLinearColorFilter::~SrgbToLinearColorFilter | ( |  | ) |
| override default

## Member Function Documentation

## ◆ Clone()

std::shared_ptr< ColorFilter > impeller::SrgbToLinearColorFilter::Clone | ( |  | ) | const
| override virtual

Implements impeller::ColorFilter.

Definition at line 124 of file color_filter.cc.

124 {
125 return std::make_shared<SrgbToLinearColorFilter>(*this);
126 }

## ◆ GetCPUColorFilterProc()

ColorFilter::ColorFilterProc impeller::SrgbToLinearColorFilter::GetCPUColorFilterProc | ( |  | ) | const
| override virtual

Returns a function that can be used to filter unpremultiplied Impeller Colors on the CPU.

Implements impeller::ColorFilter.

Definition at line 119 of file color_filter.cc.

120 {
121 return [](Color color) { return color.SRGBToLinear(); };
122 }

## ◆ WrapWithGPUColorFilter()

std::shared_ptr< ColorFilterContents > impeller::SrgbToLinearColorFilter::WrapWithGPUColorFilter | ( | std::shared_ptr< FilterInput > | input,
|  | ColorFilterContents::AbsorbOpacity | absorb_opacity
| ) |  | const
| override virtual

Wraps the given filter input with a GPU-based filter that will perform the color operation. The given input will first be rendered to a texture and then filtered.

Note that this operation has no consideration for the original geometry mask of the filter input. And the entire input texture is treated as color information.

Implements impeller::ColorFilter.

Definition at line 111 of file color_filter.cc.

113 {
114 auto filter = ColorFilterContents::MakeSrgbToLinearFilter({std::move(input)});
115 filter->SetAbsorbOpacity(absorb_opacity);
116 return filter;
117 }

References impeller::ColorFilterContents::MakeSrgbToLinearFilter().

The documentation for this class was generated from the following files:

- impeller/aiks/color_filter.h
- impeller/aiks/color_filter.cc

impeller::ColorFilterContents::MakeSrgbToLinearFilter
static std::shared_ptr< ColorFilterContents > MakeSrgbToLinearFilter(FilterInput::Ref input)
Definition: color_filter_contents.cc:75